### Hierarchy

- GmfDrawLine

## Index

### Constructors

- constructor

### Properties

- active
- interaction
- line
- subscriptions

### Methods

- clear_
- initInteraction

## Constructors

### constructor

- new GmfDrawLine(): GmfDrawLine

- - Defined in src/lidar/DrawLineComponent.ts:62

  #### Returns GmfDrawLine

## Properties

### active

active: boolean

- Defined in src/lidar/DrawLineComponent.ts:49

### interaction

interaction: Draw

- Defined in src/lidar/DrawLineComponent.ts:58

### line

line: LineString

- Defined in src/lidar/DrawLineComponent.ts:51

### subscriptions

subscriptions: Subscription[]

- Defined in src/lidar/DrawLineComponent.ts:60

## Methods

### clear_

- clear_(): void

- - Defined in src/lidar/DrawLineComponent.ts:156

  Clear the overlay and profile line.

  #### Returns void

### initInteraction

- initInteraction(): void

- - Defined in src/lidar/DrawLineComponent.ts:136

  Init the draw interaction

  #### Returns void

Generated using TypeDoc